namespace eval ::tbcload {

  proc loadlib {dir package version} {
    global tcl_platform
    set path [file join $dir [platform]]
    set lib [file join $path $package[info sharedlibextension]]
    set provide "package provide $package $version"
    append provide "; [list load $lib $package]"
    foreach t [glob -nocomplain -directory [file join $dir Tcl] *.tcl] {
      append provide "; [list source $t]"
    }
    package ifneeded $package $version $provide
  }

  proc platform {} {
        global tcl_platform
        set plat [lindex $tcl_platform(os) 0]
        set mach $tcl_platform(machine)
        switch -glob -- $mach {
            sun4* { set mach sparc }
            intel -
            i*86* { set mach x86 }
            "Power Macintosh" { set mach ppc }
        }
        if {$plat eq "AIX"} { set mach ppc }
        if {$plat eq "HP-UX"} { set mach hppa }
        return "$plat-$mach"
    }
}

::tbcload::loadlib $dir tbcload 1.7
